/{organizationId}/crm/vouchers/templates/{voucherTemplateId}Update a voucher template
Updates a voucher template
Required permissions:
voucherTemplate.edit
Path Parameters
organizationIdstringrequired voucherTemplateIdstringrequired Request Body required
Content-Type: application/json
amountintegerrequired maximum: 9999999999
exclusiveMinimum: 0
amountPercentagebooleanrequired descriptionstringrequired maxLength: 140
intervalstring | nullrequired Options:
monthquarterhalfYearyearnamestringrequired minLength: 1
maxLength: 64
validFromstring | nullrequired validTostring | nullrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/vouchers/templates/{voucherTemplateId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1,
"amountPercentage": true,
"description": "string",
"interval": "month",
"name": "string",
"validFrom": "string",
"validTo": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}